<VirtualHost *:80>
  ServerAdmin support@your-domain.com
  ErrorLog /usr/local/apache2/logs/transmart_error.log
  LogLevel warn
  CustomLog /usr/local/apache2/logs/transmart_access.log combined
  
  <LocationMatch "^/+$">
    redirect / /transmart
    Options -Indexes
    ErrorDocument 403 /error/noindex.html
  </LocationMatch>

  <Location /transmart>
    ProxyPass        ajp://127.0.0.1:8009/transmart
    ProxyPassReverse ajp://127.0.0.1:8009/transmart
  </Location>
</VirtualHost>

<IfDefine IgnoreBlockComment>
<VirtualHost *:80>
  ServerAdmin support@your-domain.com
  ErrorLog /usr/local/apache2/logs/transmart_error.log
  LogLevel warn
  CustomLog /usr/local/apache2/logs/transmart_access.log combined
  RewriteEngine On
  RewriteRule ^(.*)$ https://%{HTTP_HOST}$1 [R=301,L]

</VirtualHost>
<VirtualHost *:443>
  SSLEngine on
  SSLCertificateFile /usr/local/apache2/conf/server.crt
  SSLCertificateKeyFile /usr/local/apache2/conf/server.key
  ServerAdmin support@your-domain.com
  ServerName transmart01.mi.med.uni-goettingen.de
  ErrorLog /usr/local/apache2/logs/transmart_error.log
  LogLevel warn
  CustomLog /usr/local/apache2/logs/transmart_access.log combined

  <LocationMatch "^/+$">
    redirect / /transmart
    Options -Indexes
    ErrorDocument 403 /error/noindex.html
  </LocationMatch>

  <Location /transmart>
    ProxyPass        ajp://127.0.0.1:8009/transmart
    ProxyPassReverse ajp://127.0.0.1:8009/transmart
  </Location>
</VirtualHost>
</IfDefine>

